Add Lumina instructions to x11 chapter
AcceptedPublic

Authored by timmoore88_gmail.com on Jun 30 2017, 4:56 PM.

Details

Reviewers
wblock
dru
Summary

Update introduction to the Desktop Environments section to say several desktop environments instead of three specifically.
Add new subsection for Lumina.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
bcr added a subscriber: bcr.Jul 1 2017, 12:52 PM

Looks good to me, I've only one minor nit.

en_US.ISO8859-1/books/handbook/x11/chapter.xml
1603

Two spaces after the sentence stop to be consistent with the rest of the document.

timmoore88_gmail.com marked an inline comment as done.

I always miss one space somewhere... :)

wblock added inline comments.Jul 7 2017, 3:49 PM
en_US.ISO8859-1/books/handbook/x11/chapter.xml
1425

There are some whitespace-only linewraps in this paragraph. The only content change is in the first and next-to-last lines. Those lines should be left too long. They can be rewrapped in a whitespace-only change.

timmoore88_gmail.com marked an inline comment as done.

Reverted line length fixes in intro section.

wblock added inline comments.Jul 14 2017, 7:50 PM
en_US.ISO8859-1/books/handbook/x11/chapter.xml
1603

s/FreeBSD/&os;/

1619

This says "one of two methods", but does not make it clear that the two methods are described next. Also, with two ways, it is simpler to just say "...can be started by either <a> or <b>" rather than splitting them into separate paragraphs.

For example:

"Lumina can be started manually by running <command>start-lumina-desktop</command>. To start Lumina automatically when &xorg; starts, change the <literal>exec</literal> line at the end of <filename>~/.xinitrc</filename> to:" Could mention startx after that.

1633

Really? In /etc? Or in /usr/local/etc?

timmoore88_gmail.com marked 3 inline comments as done.

Resolved outstanding comments.

wblock accepted this revision.Sep 1 2017, 8:16 PM
This revision is now accepted and ready to land.Sep 1 2017, 8:16 PM